Bug 61875 - hardware accelerator should fall-back to software if not present
hardware accelerator should fall-back to software if not present
Status: CLOSED WONTFIX
Product: Stronghold Cross Platform
Classification: Retired
Component: openssl (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Stronghold Engineering List
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-25 09:07 EST by Need Real Name
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 10:06:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-25 09:07:13 EST
Description of Problem:
When the SSLCryptoDevice (or StrongholdAccelerator) directive is used in 
httpd.conf but the hardware accelerator is not present, httpd does not start.

Version-Release number of selected component (if applicable):
N/A

How Reproducible:
Easily.

Steps to Reproduce:
1. Set SSLCryptoDevice (or StrongholdAccelerator) in httpd.conf on a system 
without a hardware accelerator.
2. 
3. 

Actual Results:
httpd does not start.

Expected Results:
httpd starts without using hardware accelerator.

Additional Information:
Enhancement requested by Ergon Informatik (Switzerland). There is no mod_ssl 
component listed in the component input box so I chose openssl instead.
Comment 1 Joe Orton 2002-03-25 09:27:51 EST
Possibly this should be a separate config directive, e.g.

   SSLSoftwareFallback On

Some people might prefer it to be a fatal error if the crypto device doesn't
work, rather than silently failing (and their web server suddenly becoming slow).
Comment 2 Mark J. Cox (Product Security) 2002-03-25 09:32:33 EST
i'd be okay with letting it fall-back by default and just placing a large warning
in the error log.  I suspect a company would prefer to have their webserver come
back up slow than not at all after a midnight Saturday reboot.
Comment 3 Joe Orton 2006-09-05 10:06:26 EDT
Stronghold 4.0 Cross Platform reached End of Life as of the end of December 2005.

For more information or further options see: 

http://www.redhat.com/software/stronghold/

Note You need to log in before you can comment on or make changes to this bug.